package com.example.demo.entrysData.repository;

import java.util.List;
import java.util.Optional;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.example.demo.entrysData.model.EntrysDataEntity;

@Repository
public interface EntrysDataRepository extends CrudRepository<EntrysDataEntity, Long> {
    Optional<EntrysDataEntity> findByloginIgnoreCase(String name);

    List<EntrysDataEntity> findByDepartmentId(long departmentId);
}
